tls-1.3.png

本站已通过 Cloudflare 默认开启 TLS 1.0,往上可支持 TLS 1.1-1.3,兼容性极佳;


本文隶属于 网站优化 分类,点击分类名称查看更多相关主题;

TLS 介绍

TLS 介绍2.png

Transport Layer Security (TLS) 保证客户端和 Web 服务器之间通过 HTTPS 进行加密通信。它取代了现已弃用的安全套接字层(SSL)协议。*

概述

Transport Layer Security (TLS) 保证客户端和 Web 服务器之间通过 HTTPS 进行加密通信。它取代了现已弃用的安全套接字层(SSL)协议。 使用 TLS 加密网络流量时,用户会在浏览器窗口中的 URL 框附近看到一个绿色挂锁。

通过在 Cloudflare 仪表板的 SSL/TLS 应用中设置Minimum TLS Version,您可以管理域在通过 Cloudflare 进行代理时使用的 TLS 版本。

选择最低版本可确保同时支持所有后续较新版本的协议。TLS 1.0 是 Cloudflare 默认为使用基于证书的加密的所有客户设置的版本。在这种情况下,这意味着 Cloudflare 还接受使用 1.0 以上所有 TLS 版本加密的请求。

有关要使用的 TLS 版本的指导,请查看下面列出的信息。

了解 TLS 版本

1.更高的 TLS 版本意味着更强的加密标准。TLS 1.2包含先前版本中发现的已知漏洞的修复。

2.截至2018年6月,TLS 1.2 是支付卡行业(PCI)安全标准委员会要求的版本。Cloudflare 建议使用 TLS 1.2 以符合 PCI 要求。

3.TLS 1.3 于2018年5月获得互联网工程任务组(Internet Engineering Task Force, IETF)的批准,可提供额外的安全和性能改进。

确定要使用的版本

并非所有浏览器版本都支持 TLS 1.2 及更高版本。根据您的特定业务情况,这可能会在使用更强的加密标准方面带来一些限制。

考虑将 TLS 1.0 或 1.1 用于具有广泛用户群的站点,尤其是非事务性站点。这样,您可以最大限度地降低某些客户端可能无法安全连接到您的站点的可能性。

对于运行内部应用程序或业务和生产力应用程序的狭窄用户群和站点,Cloudflare 建议使用 TLS 1.2。 这些站点可能已经具有更严格的安全要求,或者可能须符合 PCI 合规性要求。但是,您还需要确保用户升级到与 TLS 1.2 兼容的浏览器。

TLS 1.3 介绍

TLS 1.3.png

TLS 1.3 是 TLS 协议的最新且最安全的版本。它具有比旧版本更短的延迟以及多个新功能。 当前在 Chrome(从第 66 版开始)和 Firefox(从第 60 版开始)中以及在 Safari 和 Edge 浏览器的开发中都支持 TLS 1.3。

via Cloudflare

TLS 1.3 发展历程.jpg

TLS 1.3 是时隔九年对 TLS 1.2 等之前版本的新升级,也是迄今为止改动最大的一次。针对目前已知的安全威胁,IETF(Internet Engineering Task Force,互联网工程任务组) 正在制定 TLS 1.3 的新标准,使其有望成为有史以来最安全,但也最复杂的 TLS 协议。

via TLS 1.3 VS TLS 1.2,让你明白 TLS 1.3 的强大

TLS 1.3 FAQ

*如果你没有使用 Cloudflare,可能需要自行设置 Nginx/Apche 以开启 TLS 1.3支持;

1.A Detailed Look at RFC 8446 (a.k.a. TLS 1.3) (英文)
2.了解TLS 1.3 – Cloudflare Support (中文) 了解与以前的 TLS 版本相比,TLS 1.3 如何提高安全性和减少延迟。 了解如何为 Cloudflare 域启用 TLS 1.3。

3.在 Cloudflare SSL/TLS 中使用最低 TLS 版本
4.SSL/TLS 入门指南
5.Cloudflare 技术支持(中文);
4.更多关于 TLS 1.3

检测工具

网站支持TLS 1.3 检测

TLS 1.3 -1.png

检测你的网站是否已经支持 TLS 1.3
https://www.cdn77.com/tls-test

浏览器支持TLS 1.3 检测

检查你的浏览器是否已支持 TLS 1.3
TLS 1.3.png

https://www.cloudflare.com/ssl/encrypted-sni/

最后修改:2019 年 12 月 28 日 03 : 36 PM